#mainMenu {
    gap: 15px;

    .myIcons {
        font-size: 150%;
    }

    >li {
        cursor: pointer;
        padding: 10px;

        &::before {
            content: " ";
            display: block;
            position: absolute;
            bottom: 1px;
            left: 50%;
            transform: translateX(-50%);
            width: 0;
            height: 4px;
            background: var(--color2);
            transition: width .3s;
            border-radius: 4px;
        }

        &:hover {
            >* {
                color: var(--color2);
            }

            opacity: 1;

            &::before {
                width: 100%
            }
        }

    }

}

#userMenus {
    gap: 15px;

    .myIcons {
        padding: 10px;
    }

    a:link:not(.button) {
        color: var(--color1);

        &:hover {
            color: var(--color2)
        }
    }


}

header.stuck #userMenus .myIcons {
    padding-block: 0;
}

#productsMenu {
    ul {
        width: 900px;
        transform: translateX(20%);
        display: flex;
        flex-wrap: wrap;
        flex-direction: row !important;
        justify-content: space-around;
        gap: 5px;

        a {
            display: grid;
            border: 1px solid white;

            img {
                height: min(130px, calc((100svh - var(--headerHeight) - 50px)/4));
                aspect-ratio: 1;
                background-color: white;
                object-fit: contain;
            }

            &:hover {
                border-color: var(--color2);
            }
        }
    }
}

#shopCartMenu {
    background-color: var(--pageBackground);
    box-shadow: var(--menuShadow);
    padding: 10px;
    max-width: calc(80svh - var(--headerHeight));
    overflow-y: auto;
    border-radius: 4px;

    #shopCart {
        display: grid;
        gap: 25px;

        .shopCartItem {
            display: grid;
            gap: 0 15px;
            padding-bottom: 10px;
            border-bottom: 2px solid lightgray;

            >* {
                display: grid;
                grid-template-columns: 100px auto;
                gap: 15px;
            }

            img {
                width: 100%;
                aspect-ratio: 1;
                object-fit: contain;
                border: 1px solid lightgray;
                padding: 5px;
                grid-row: span 2;
            }


            .variants {
                li {
                    padding: 0;
                    font-size: 80%;
                    color: gray;
                    line-height: 150%;
                    font-weight: 200;
                    list-style-type: '• ';
                    list-style-position: inside;
                    display: list-item;


                }
            }

            .unitPrice,
            .wage,
            .netPrice {
                display: none;
            }

            .priceGroup label {
                display: none;
            }

            .price {
                font-weight: bold;
                text-align: left;

                &::after {
                    content: ' تومان';
                }
            }

            .input-numspin-element {
                width: 100px;
                margin-top: 5px;
                align-items: center;

                button {
                    background-color: unset;
                    color: gray;
                    border: none;
                    font-size: 200%;
                    line-height: 50%;
                    font-weight: 200;
                    height: 100%;
                    padding-inline: 5px;
                    place-content: center;
                    flex-basis: 20px;

                    &:hover {
                        color: var(--color2)
                    }
                }

                input {
                    flex-grow: 1;
                    border: none;
                    width: min-content;
                    width: 30px;
                    text-align: center;

                }
            }
        }

    }

    #shopCartSumContainer {
        margin-top: 10px;
        display: grid;
        grid-template-columns: auto auto;
        gap: 10px;

        label {
            color: gray;
        }

        .button {
            text-align: center;
        }

        #priceSum {
            text-align: end;
            font-weight: bold;

            &::after {
                content: ' تومان';
            }

        }

    }

    &:not(:has(.shopCartItem)) {
        &::before {
            padding: 15px;
            content: 'سبد خرید شما خالی است!';
        }

        #shopCartSumContainer {
            display: none;

        }
    }
}